/*********************************************************************
LCD_5110_thermometer

Analog thermometer (based on MCP9700) with Nokia 5110 display
*********************************************************************/

#include <SPI.h>
#include <Adafruit_GFX.h>
#include <Adafruit_PCD8544.h>

// Software SPI (slower updates, more flexible pin options):
// pin 7 - Serial clock out (SCLK)
// pin 6 - Serial data out (DIN)
// pin 5 - Data/Command select (D/C)
// pin 4 - LCD chip select (CS)
// pin 3 - LCD reset (RST)
Adafruit_PCD8544 display = Adafruit_PCD8544(7, 6, 5, 4, 3);

// Hardware SPI (faster, but must use certain hardware pins):
// SCK is LCD serial clock (SCLK) - this is pin 13 on Arduino Uno
// MOSI is LCD DIN - this is pin 11 on an Arduino Uno
// pin 5 - Data/Command select (D/C)
// pin 4 - LCD chip select (CS)
// pin 3 - LCD reset (RST)
// Adafruit_PCD8544 display = Adafruit_PCD8544(5, 4, 3);
// Note with hardware SPI MISO and SS pins aren't used but will still be read
// and written to during SPI transfer.  Be careful sharing these pins!

void setup()   {
  display.begin();
  display.setContrast(50);
  display.clearDisplay();   // clears the screen and buffer
  analogReference(INTERNAL);  //Select the internal 1.1V reference 
}

void loop() {
   long mysum = 0;
   for(int i=0; i<1100; i++) {
      mysum += analogRead (A4);
   }
  delay(2000); 
  // Átszámítjuk millivoltokra
  float voltage = mysum>>10;      //Osztás 1024-gyel
  float tempC = (voltage-500)/10; //Átszámítás fokokra
  display.clearDisplay();   // clears the screen and buffer
  display.setTextSize(1);
  display.setTextColor(BLACK);
  display.setCursor(4,2);
  display.print("Thermometer");  
  display.setTextSize(2);
  display.setCursor(1,24);
  display.print(tempC,1);
  display.print("C");
  display.display();  

}

